Quassel IRC - Bug #402

Quassel latest git crashes
11/11/2008 02:21 PM - jussiO1

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version:

Version: 0.4.3 0S: Any
Description

Not really sure what happened, but here is the backtrace, | wasnt doing anything, it just crashed. (was using some other program at

the time)

ASSERT: "I_ircChannel && ircChannel" in file /home/jussi/quassel/src/client/networkmodel.cpp, line 411
Quassel IRC: "0.3.0" "8b971bc9269a815d91358c05d32f8a116780a46a"
0x082831dd Quassel::logBacktrace(QString const&)
0x082694a0 Quassel::handleSignal(int)

0xb800f400 __kernel_sigreturn
0xb800f430 __kernel_vsyscall

0xb6840880 gsignal
0xb6842248 abort
Oxb7dff795 qt_message_output(QtMsgType, char const*)
Oxb7dff872 gFatal(char const*, ...)
0xb7dff915 qt_assert(char const*, char const*, int)
0x0823b046 ChannelBufferltem::attachlrcChannel(IrcChannel*)
0x0823da12 Networkltem::attachlrcChannel(IrcChannel*)
0x082487c0 Networkltem::qgt_metacall(QMetaObject::Call, int, void**)
0xb7f0ca60 QMetaObiject::activate(QObject*, int, int, void**)
0xb7f0d7e2 QMetaObject::activate(QObject*, QMetaObject const*, int, void**)
0x0828a486 Network::ircChannelAdded(IrcChannel*)
0x08262d35 Network::newlrcChannel(QString const&, QMap<QString, QVariant> const&)
0x0828bfda Network::addIrcChannel(QString const&)
0x0828b521 Network::gt_metacall(QMetaObject::Call, int, void™*)
0x0827415d SignalProxy::invokeSlot(QObject*, int, QList<QVariant> const&, QVariant&)
0x082753cd SignalProxy::handleSync(SignalProxy::AbstractPeer*, QList<QVariant>)
0x08275a82 SignalProxy::receivePeerSignal(SignalProxy::AbstractPeer*, SignalProxy::RequestType

const&, QList<QVariant> const&)
24 libQtCore.so0.4
0x08275e87 SignalProxy::receivePackedFunc(SignalProxy::AbstractPeer*, QVariant const&)
0x08275fa1 SignalProxy::dataAvailable()

0x0828c36d SignalProxy::qt_metacall(QMetaObject::Call, int, void**)

0xb7f0cab0 QMetaObiject::activate(QObject*, int, int, void**)

0xb7f0d7e2 QMetaObiject::activate(QObject*, QMetaObject const*, int, void**)

0xb7f45847 QIODevice::readyRead()

27 libQtNetwork.so.4  0xb73e6d5¢c 0x00000000
28 libQtNetwork.so.4  0xb73dc4f8 0x00000000
29 libQtNetwork.s0.4  0xb73e0e9e QSslSocket::gt_metacall(QMetaObject::Call,int, void**)

30 libQtCore.s0.4
31 libQtCore.so0.4
32 libQtCore.so0.4

0xb7f0ca60 QMetaObject::activate(QObject®, int, int, void**)
0xb7f0d7e2 QMetaObject::activate(QObject*, QMetaObject const*, int, void**)
0xb7f45847 QIODevice::readyRead()

33 libQtNetwork.so0.4  0xb73c5a72 0x00000000
34 libQtNetwork.so0.4 0xb73b4ceb 0x00000000
35 libQtNetwork.so0.4  0xb73b6056 0x00000000

36 libQtGui.so0.4

37 libQtGui.so0.4

38 libQtCore.s0.4
39 libQtCore.s0.4
40 libglib-2.0.s0.0
41 libglib-2.0.s0.0
42 libglib-2.0.50.0
0xb75798ec QApplicationPrivate::notify_helper(QObject*, QEvent*)
0xb758176e QApplication::notify(QObject*, QEvent*)
0xb7ef7e61 QCoreApplication::notifyInternal(QObject*,QEvent*)
0xb7f2270a 0x00000000
0xb676€6f8 g_main_context_dispatch
0xb6771da3 0x00000000
0xb6771f61 g_main_context_iteration
0xb7f22478 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
45. 44 libQtGui.so0.4 0xb7613ee5 0x00000000

46. 45 libQtCore.so.4 O0xb7ef652a QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
47. 46 libQtCore.s0.4 Oxb7ef66ea QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
48. 47 libQtCore.so0.4 0xb7ef8da5 QCoreApplication::exec()

49. 48 libQtGui.so0.4 0xb7579767 QApplication::exec()
50. 49 quasselclient 0x080f3b0b main
51.50 libc.s0.6 0xb682b685 __libc_start_ main
52. 51 quasselclient 0x080f38d1 0x00000000
Aborted
jussi@Falcon:~/quassel/build$

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 02/17/2010 09:04 PM - johu
- Assignee set to Sputnick
- Version set to 0.4.3

- OS set to Any

#3 - 03/04/2010 08:16 PM - johu

- Status changed from New to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#4 - 08/04/2010 09:34 PM - johu
- Status changed from Feedback to Closed

No feedback was given within 5 months
